.filterDestinations {
  background: url("/img/nshill.jpg") no-repeat center center;
  background-size: cover;
  position: relative;
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.filterDestinations::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 0;
}

.destinationFilter {
  position: relative;
  z-index: 1; /* Ensure it is above the overlay */
}

.destinationFilter a {
  position: relative;
  display: block;
  width: 300px;
  font-size: 16px;
  color: #333;
  border-radius: 4px;
  cursor: default;
  margin-top: 5px;
}

.destinationFilter a:hover{
  color: black;
}

.custom-select-wrapper {
  position: relative;
  width: 200px;
  user-select: none;
}

.custom-select-div {
  position: relative;
}

.custom-select-trigger {
  position: relative;
  display: block;
  width: 300px;
  font-size: 16px;
  color: #333;
  background: #fff;
  border-radius: 4px;
  cursor: pointer;
  padding: 0.5rem 2rem 0.5rem 0.5rem;
}

.custom-options {
  position: absolute;
  display: none;
  width: 300px;
  max-height: 200px;
  overflow-y: auto;
  background: #fff;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  z-index: 2;
}

.custom-option {
  padding: 10px;
  font-size: 16px;
  color: #333;
  cursor: pointer;
}

.custom-option:hover {
  background: #ff9d29;
  color: black;
}

.custom-select-div.open .custom-options {
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

@media (max-width: 900px) {
  .custom-select-trigger {
    width: 200px;
    font-size: 12px;
  }

  .custom-options {
    width: 200px;
  }

  .destinationFilter a {
    width: 200px;
    font-size: 12px;
   
  }

  .filterDestinations {
    background: url("/img/nshill.jpg") no-repeat center center;
    background-size: cover;
    position: relative;
    width: 100%;
    height: 30vh;
    padding-top: 2rem;
  }
}
